List Product Commitments Using GET

List Product Commitments Using GET

Get a list of product commitments. Pre-authorized roles: Operations, Read Only

Request
URI
GET
https://{api_host}//vcp.vmware.com/api/provider/v1/contracts/{contractId}/productCommitments
COPY
Path Parameters
string
contractId
Required

Contract id

contractId example
630c2f68-xxxx-xxxx-xxxx-61f8245eaca1
Query Parameters
integer
limit
Optional

limit

integer
offset
Optional

offset

string
sort
Optional

sort


Responses
200

OK

Returns PageOfProductCommitment of type(s) application/json
{
    "content": [
        {
            "id": "775dc4c1-xxxx-xxxx-xxxx-8328ac75e878",
            "name": "my_commitment_1",
            "bol": "2025-01",
            "eol": "2025-12",
            "commitment": [
                {
                    "beginMonth": "2025-01",
                    "endMonth": "2025-12",
                    "quantity": 100
                }
            ],
            "product": {
                "id": "892ae1d0-xxxx-xxxx-xxxx-f04b00000005",
                "code": "VR-OSTACK4-C",
                "name": "VMware Integrated OpenStack"
            },
            "uom": "GB vRAM",
            "customer": {
                "id": "c7240730-xxxx-xxxx-xxxx-250300000003",
                "customerNumber": 1000000001,
                "name": "Steven"
            },
            "payment": "MONTHLY",
            "status": "ACTIVE",
            "term": "YEAR_1"
        }
    ],
    "total": 1
}
content
Optional

content

integer As int64 As int64
total
Optional

total


400

Bad Request

Operation doesn't return any data structure

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure